# Created by pyp2rpm-3.3.1
%global pypi_name coveralls

Name:           python-%{pypi_name}
Version:        2.1.2
Release:        %mkrel 1
Summary:        Show coverage stats online via coveralls.io
Group:          Development/Python
License:        MIT
URL:            http://github.com/coveralls-clients/coveralls-python
Source0:        https://pypi.io/packages/source/c/coveralls/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(coverage) >= 3.6
BuildRequires:  python3dist(cryptography)
BuildRequires:  python3dist(pycparser)
BuildRequires:  python3dist(docopt) >= 0.6.1
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(pyyaml) >= 3.10
BuildRequires:  python3dist(requests) >= 1.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sh) >= 1.08
BuildRequires:  python3dist(urllib3)
BuildRequires:  python3-sphinxcontrib_trio

%description
coveralls.io is a service for publishing your coverage stats online.

This package provides seamless integration with coverage.py (and thus
pytest, nosetests, etc...) in your Python projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(coverage) >= 3.6
Requires:       python3dist(docopt) >= 0.6.1
Requires:       python3dist(pyyaml) >= 3.10
Requires:       python3dist(requests) >= 1.0.0
Requires:       python3dist(setuptools)
Requires:       python3dist(urllib3)

%description -n python3-%{pypi_name}
coveralls.io is a service for publishing your coverage stats online.

This package provides seamless integration with coverage.py (and thus
pytest, nosetests, etc...) in your Python projects.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/coveralls
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Oct 02 2020 kekepower <kekepower> 2.1.2-1.mga8
+ Revision: 1631587
- Update to version 2.1.2

* Thu Apr 09 2020 kekepower <kekepower> 2.0.0-1.mga8
+ Revision: 1565690
- Update to version 2.0.0

* Sun Feb 16 2020 umeabot <umeabot> 1.8.2-4.mga8
+ Revision: 1531392
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.8.2-3.mga8
+ Revision: 1439708
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 1.8.2-2.mga8
+ Revision: 1435618
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.5.1-1.mga7
+ Revision: 1350310
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1288552
- Mageia 7 Mass Rebuild

* Thu Sep 20 2018 kekepower <kekepower> 1.5.0-1.mga7
+ Revision: 1288433
- Update to version 1.5.0

* Tue Aug 28 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1255335
- Update to version 1.4.0

* Fri Apr 20 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1220501
- imported package python-coveralls

